---
search:
  tags:
    - Analytics
    - GET
seo:
  description: >-
    Get Insights across all content. Reference for the GET /v1/insights endpoint
    in the Jellypod API.
sidebar:
  label: Get Insights across all content
  badge: GET
title: Get Insights across all content
type: openapi-operation
---
`GET /v1/insights`

**Responses**

- `200` — Organization-wide Insights for the period
- `400` — Validation failed or malformed request.
- `401` — Missing or invalid API key.
- `403` — Authenticated, but this API key does not have access to this resource.
- `404` — Resource not found.
- `429` — Rate limit exceeded. Wait \`Retry-After\` seconds before retrying; \`RateLimit-Limit\`, \`RateLimit-Remaining\`, and \`RateLimit-Reset\` describe the window.
- `500` — Internal server error.

Response example, 200:

```json
{
  "data": {
    "as_of": "string",
    "channels": [
      {
        "engagement": {
          "comments": {
            "current": 0,
            "previous": 0
          },
          "reactions": {
            "current": 0,
            "previous": 0
          }
        },
        "followers": {
          "current": 0,
          "previous": 0
        },
        "name": "string",
        "network": "string",
        "plays": {
          "current": 0,
          "previous": 0
        },
        "posts": {
          "current": 0,
          "previous": 0
        },
        "source": "feed"
      }
    ],
    "complete": true,
    "period": "7d",
    "previous": {
      "end": "2019-08-24",
      "start": "2019-08-24"
    },
    "range": {
      "end": "2019-08-24",
      "start": "2019-08-24"
    },
    "studio_url": "http://example.com",
    "summary": {
      "channels_posted": {
        "current": 0,
        "previous": 0
      },
      "engagement": {
        "comments": {
          "current": 0,
          "previous": 0
        },
        "reactions": {
          "current": 0,
          "previous": 0
        },
        "rate": {
          "current": 0,
          "previous": 0
        }
      },
      "plays": {
        "current": 0,
        "previous": 0
      },
      "published": {
        "current": 0,
        "previous": 0
      },
      "watch_time_sec": {
        "current": 0,
        "previous": 0
      }
    },
    "takeaways": [
      {
        "action": {
          "label": "string",
          "url": "http://example.com"
        },
        "body": "string",
        "id": "string",
        "title": "string"
      }
    ],
    "top_content": [
      {
        "comments": 0,
        "id": "string",
        "kind": "episode",
        "plays": 0,
        "published_at": "string",
        "reactions": 0,
        "title": "string",
        "watch_time_sec": 0
      }
    ]
  }
}
```
